package com.persagy.dmp.rwd.migrate.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author lvxianyun
 * @title: SyncData
 * @projectName digital-twin
 * @description: 数据迁移记录
 * @date 2021/12/20 15:34
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_sync_data",autoResultMap = true)
@NoArgsConstructor
@AllArgsConstructor
public class SyncData extends AuditableEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 消息id
     */

    private String id;
    /**
     * 同步表名称
     */
    private String tableName;

    /**
     * 对象id,关系id,类型id,信息点id
     */
    private String targetId;

    /**
     * 对象类型
     */
    private String objectType;

    /**
     * 操作类型
     */
    private String type;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 标记
     */
    private Integer sign = 2;

    /**
     * 操作符
     */
    private String ops;

    /**
     * 操作符名称
     */
    private String opsName;

    /**
     * 主id
     */
    private String fromId;

    /**
     * 从id
     */
    private String toId;

    /**
     * 错误内容
     */
    private String error;

    /**
     * 类型
     */
    private String classCode;

    /**
     * 本地名称
     */
    private String localName;

    /**
     * 本地编码
     */
    private String localId;

    /**
     * 名称
     */
    private String name;

    private String code;

}
